Subject: Re: [Idr] [Softwires] [bess] Regarding the Next Hop Network Address coding for IPv4 VPN over IPv6 Core in RFC5549
From: Zhuangshunwan <[email-masked]>
To: "Vigoureux, Martin (Nokia - FR/Paris-Saclay)" <[email-masked]>, Xiejingrong <[email-masked]>, "Alexander Okonnikov" <[email-masked]>, Robert Raszuk <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Thu, 27 Jun 2019 11:39:21 +0000
List-Id: Inter-Domain Routing <idr.ietf.org>

Hi all,

Can the WG reach a conclusion on how to treat that erratum related to RFC5549:

https://www.rfc-editor.org/errata/eid5253

Thanks,
Shunwan

-----Original Message-----
From: Softwires [mailto:[email-masked]] On Behalf Of Vigoureux, Martin (Nokia - FR/Paris-Saclay)
Sent: Thursday, June 27, 2019 6:37 PM
To: Xiejingrong <[email-masked]>; Alexander Okonnikov <[email-masked]>; Robert Raszuk <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [Softwires] [Idr] [bess] Regarding the Next Hop Network Address coding for IPv4 VPN over IPv6 Core in RFC5549

since we are discussing that topic,

maybe the WG would like to reach a conclusion on how to treat that erratum:
http://www.rfc-editor.org/errata/eid5738

Thanks
-m

Le 2019-06-27 à 11:15, Xiejingrong a écrit :
> Thanks for the RFC historical lessons.
> 
> --there was historically some assumption that next hop must be of the 
> same AF as prefix.
> 
> --RFC 2858 says that Next Hop field should match AFI. On the other 
> hand, RFC 4760 says that Next Hop Field should match combination of AFI/SAFI.
> 
> --authors of RFC 4364 were trying to make it consistent with 4760.
> 
> --Also, drafts of RFC 4364 and RFC 4760 were being developed 
> practically at the same time period.
> 
> The problem is clear, the nexthop field has been inconsistent between 
> different L3VPN/MVPN scenarios and different implementations in the 
> long history.
> 
> <draft-dawra-bess-srv6-services-00> is the latest draft, but it has 
> different nexthop in section 3.1 to 3.4, in the year 2019.
> 
> Back to my suggestion: implementation should interpret nexthop RD+IPv4 
> and nexthop IPv4 the same, and interpret nexthop RD+IPv6 and nexthop
> IPv6 the same.
> 
> I think it may be helpful for <draft-dawra-bess-srv6-services-00> to 
> add the above text, and update RFC4364/4659/4760/5549, to eliminate 
> the worries about interoperation. ----is there any worries about 
> interoperation ?
> 
> Thanks
> 
> Jingrong
> 
> *From:*Alexander Okonnikov [mailto:[email-masked]]
> *Sent:* Wednesday, June 26, 2019 9:38 PM
> *To:* Robert Raszuk <[email-masked]>
> *Cc:* UTTARO, JAMES <[email-masked]>; Xiejingrong 
> <[email-masked]>; [email-masked]; [email-masked]; 
> [email-masked]; [email-masked]; [email-masked]
> *Subject:* Re: [Idr] [bess] [Softwires] Regarding the Next Hop Network 
> Address coding for IPv4 VPN over IPv6 Core in RFC5549
> 
> Hi Robert,
> 
> Sorry, I was not so precise :-) Of course, RD part in Next Hop is not 
> copied from RD of NLRI, but zeroed. I was trying to explain why Next 
> Hop field in RFC 4364 and RFC 4659 has format RD:IP (VPNvX address) 
> rather than just IP.
> 
> Thank you!
> 
> 
> 
> 
> 
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr
> 
_______________________________________________
Softwires mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/softwires